High-Level Data Reduction Library: Object catalogue

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
Object catalogue

This module provides algorithms to build an objects catalogue. Depending on the value of the control parameter "resulttype", additional products may be generated: a full catalogue, the background map, the segmentation map. More...

## Functions
hdrl_parameter * | hdrl_catalogue_parameter_create (int obj_min_pixels, double obj_threshold, cpl_boolean obj_deblending, double obj_core_radius, cpl_boolean bkg_estimate, int bkg_mesh_size, double bkg_smooth_fwhm, double det_eff_gain, double det_saturation, hdrl_catalogue_options resulttype)
| Creates catalogue Parameters object.
cpl_boolean | hdrl_catalogue_parameter_check (const hdrl_parameter *self)
| Check that the parameter is a catalogue parameter.
cpl_error_code | hdrl_catalogue_parameter_set_option (hdrl_parameter *par, hdrl_catalogue_options opt)
| set result option of catalogue parameter
cpl_parameterlist * | hdrl_catalogue_parameter_create_parlist (const char *base_context, const char *prefix, hdrl_parameter *defaults)
| Create parameter list for the catalogue computation.
hdrl_parameter * | hdrl_catalogue_parameter_parse_parlist (const cpl_parameterlist *parlist, const char *prefix)
| Parse parameter list to create input parameters for the catalogue.
void | hdrl_catalogue_result_delete (hdrl_catalogue_result *result)
| delete hdrl parameter result object
hdrl_catalogue_result * | hdrl_catalogue_compute (const cpl_image *image_, const cpl_image *confidence_map, const cpl_wcs *wcs, hdrl_parameter *param_)
| build object catalog
hdrl_catalogue_result * | hdrl_catalogue_compute_experimental (const cpl_image *image_, const cpl_image *confidence_map, const cpl_wcs *wcs, hdrl_parameter *param_)
| build object catalog (experimental QC mode)

## Detailed Description

This module provides algorithms to build an objects catalogue. Depending on the value of the control parameter "resulttype", additional products may be generated: a full catalogue, the background map, the segmentation map.

Brief algorithm description:

A local sky background is estimated and removed

Objects and blends are detected and the image pixels are assigned to each object (or blend) they belong to.

On the objects it is performed astrometry, photometry and shape analysis.

## Function Documentation

## ◆ hdrl_catalogue_compute()

hdrl_catalogue_result * hdrl_catalogue_compute | ( | const cpl_image * | image_,
|  | const cpl_image * | confidence_map,
|  | const cpl_wcs * | wcs,
|  | hdrl_parameter * | param_
| ) |  |

build object catalog

Parameters

  image_ | input image
  confidence_map | confidence map (optional input)
  wcs | wcs information (optional input)
  param_ | parameter structure controlling catalog determination

Returns
  void

## ◆ hdrl_catalogue_compute_experimental()

hdrl_catalogue_result * hdrl_catalogue_compute_experimental | ( | const cpl_image * | image_,
|  | const cpl_image * | confidence_map,
|  | const cpl_wcs * | wcs,
|  | hdrl_parameter * | param_
| ) |  |

build object catalog (experimental QC mode)

Parameters

  image_ | input image
  confidence_map | confidence map (optional input)
  wcs | wcs information (optional input)
  param_ | parameter structure controlling catalog determination

Warning
  Experimental interface: use at your own risk. Additional QC keywords and behavior may change without notice. Experimental QC keywords are not fully tested or verified.

Returns
  void

## ◆ hdrl_catalogue_parameter_check()

cpl_boolean hdrl_catalogue_parameter_check | ( | const hdrl_parameter * | self | ) |

Check that the parameter is a catalogue parameter.

Parameters

  self | The parameter to check

Returns
  True or False

## ◆ hdrl_catalogue_parameter_create()

hdrl_parameter * hdrl_catalogue_parameter_create | ( | int | obj_min_pixels,
|  | double | obj_threshold,
|  | cpl_boolean | obj_deblending,
|  | double | obj_core_radius,
|  | cpl_boolean | bkg_estimate,
|  | int | bkg_mesh_size,
|  | double | bkg_smooth_fwhm,
|  | double | det_eff_gain,
|  | double | det_saturation,
|  | hdrl_catalogue_options | resulttype
| ) |  |

Creates catalogue Parameters object.

Parameters

  obj_min_pixels | Minimum pixel area for each detected object.
  obj_threshold | Detection threshold in sigma above sky.
  obj_deblending | Use deblending?
  obj_core_radius | Value of Rcore in pixels.
  bkg_estimate | Estimate background from input, if false it is assumed input is already background corrected with median 0.
  bkg_mesh_size | Background smoothing box size.
  bkg_smooth_fwhm | The FWHM of the Gaussian kernel used in convolution for object detection.
  det_eff_gain | Detector gain value to rescale convert intensity to electrons.
  det_saturation | Detector saturation value.
  resulttype | Requested output: CAT (table), BKG(image), SEGMAP(image), QCLIST(propertylist).

Returns
  The catalogue parameters object. It needs to be deallocated with hdrl_parameter_delete()

See also
  hdrl_parameter_delete()
  hdrl_catalogue_compute() The method creates a parameter to compute the catalogue

## ◆ hdrl_catalogue_parameter_create_parlist()

cpl_parameterlist * hdrl_catalogue_parameter_create_parlist | ( | const char * | base_context,
|  | const char * | prefix,
|  | hdrl_parameter * | defaults
| ) |  |

Create parameter list for the catalogue computation.

Parameters

  base_context | base context of parameter (e.g. recipe name)
  prefix | prefix of parameter, may be an empty string
  defaults | hdrl_parameter defining the defaults

See also
  hdrl_catalogue_parameter_create()

Creates a parameter list with the catalogue parameters:

- base_context.prefix.obj.min-pixels
- base_context.prefix.obj.threshold
- base_context.prefix.obj.deblending
- base_context.prefix.obj.core-radius
- base_context.prefix.bkg.estimate
- base_context.prefix.bkg.mesh-size
- base_context.prefix.bkg.smooth-gauss-size
- base_context.prefix.det.effective-gain
- base_context.prefix.det.saturation

The CLI aliases omit the base_context.

## ◆ hdrl_catalogue_parameter_parse_parlist()

hdrl_parameter * hdrl_catalogue_parameter_parse_parlist | ( | const cpl_parameterlist * | parlist,
|  | const char * | prefix
| ) |  |

Parse parameter list to create input parameters for the catalogue.

Parameters

  parlist | parameter list to parse
  prefix | prefix of parameter name

Returns
  Input parameters for the catalogue computation

Reads a parameter list in order to create catalogue parameters.

Expects a parameter list containing:

- base_context.prefix.obj.min-pixels
- base_context.prefix.obj.threshold
- base_context.prefix.obj.deblending
- base_context.prefix.obj.core-radius
- base_context.prefix.bkg.estimate
- base_context.prefix.bkg.mesh-size
- base_context.prefix.bkg.smooth-gauss-fwhm
- base_context.prefix.det.effective-gain
- base_context.prefix.det.saturation

## ◆ hdrl_catalogue_parameter_set_option()

cpl_error_code hdrl_catalogue_parameter_set_option | ( | hdrl_parameter * | par,
|  | hdrl_catalogue_options | opt
| ) |  |

set result option of catalogue parameter

Parameters

  par | hdrl catalogue parameter
  opt | the options to set

Returns
  cpl_error_code

## ◆ hdrl_catalogue_result_delete()

void hdrl_catalogue_result_delete | ( | hdrl_catalogue_result * | result | ) |

delete hdrl parameter result object

Parameters

  result | hdrl parameter result object